SDK
import { createAdminClient } from "@voyant-travel/admin-client";
const client = createAdminClient({ baseUrl: "https://app.example.com", auth: { type: "apiKey", apiKey: process.env.VOYANT_ADMIN_TOKEN } });
const person = await client.crm.people.update({ id: "<id>" }, {
"givenName": "<string>",
"familyName": "<string>",
"displayName": "<string>",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"organizationId": "<string>"
});curl --request PATCH \
--url https://app.example.com/v1/admin/relationships/people/<id> \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"givenName": "<string>",
"familyName": "<string>",
"displayName": "<string>",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"organizationId": "<string>"
}'const response = await fetch("https://app.example.com/v1/admin/relationships/people/<id>", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify({
"givenName": "<string>",
"familyName": "<string>",
"displayName": "<string>",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"organizationId": "<string>"
}),
});
const data = await response.json();import requests
response = requests.patch(
"https://app.example.com/v1/admin/relationships/people/<id>",
headers={
"Authorization": "Bearer <token>"
},
json={
"givenName": "<string>",
"familyName": "<string>",
"displayName": "<string>",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"organizationId": "<string>"
}
)
data = response.json()
{
"id": "pers_01h...",
"givenName": "<string>",
"familyName": "<string>",
"displayName": "<string>",
"primaryEmail": "jsmith@example.com",
"primaryPhone": "<string>",
"organizationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}CRM
Update person
Patch fields on a person.
PATCH
/
v1
/
admin
/
relationships
/
people
/
{id}
SDK
import { createAdminClient } from "@voyant-travel/admin-client";
const client = createAdminClient({ baseUrl: "https://app.example.com", auth: { type: "apiKey", apiKey: process.env.VOYANT_ADMIN_TOKEN } });
const person = await client.crm.people.update({ id: "<id>" }, {
"givenName": "<string>",
"familyName": "<string>",
"displayName": "<string>",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"organizationId": "<string>"
});Authorizations
Staff session or API token issued by your Voyant app.
Path Parameters
Body
application/json
⌘I